import type { AgentMessage, AgentState, AgentTool, ThinkingLevel } from "./types.js";
import type { Model } from "../ml/index.js";
export declare class AgentStateManager {
    private state;
    constructor(state: AgentState);
    getState(): AgentState;
    setSystemPrompt(v: string): void;
    setModel(m: Model<any>): void;
    setThinkingLevel(level: ThinkingLevel): void;
    setTools(tools: AgentTool<any>[]): void;
    replaceMessages(messages: AgentMessage[]): void;
    appendMessage(message: AgentMessage): void;
    clearMessages(): void;
    setStreaming(streaming: boolean): void;
    setStreamMessage(message: AgentMessage | null): void;
    setError(error: string | undefined): void;
    addPendingToolCall(toolCallId: string): void;
    removePendingToolCall(toolCallId: string): void;
    clearPendingToolCalls(): void;
    reset(): void;
}
